> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Performance

> Get performance metrics for a specific agent.

Metrics include:
- Call volume and success rate
- Average call duration
- Tool execution statistics
- Performance trends



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /analytics/tenants/{tenant_id}/agents/performance
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /analytics/tenants/{tenant_id}/agents/performance:
    get:
      tags:
        - analytics
      summary: Get Agent Performance
      description: |-
        Get performance metrics for a specific agent.

        Metrics include:
        - Call volume and success rate
        - Average call duration
        - Tool execution statistics
        - Performance trends
      operationId: >-
        get_agent_performance_analytics_tenants__tenant_id__agents_performance_get
      parameters:
        - name: tenant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tenant Id
        - name: hours
          in: query
          required: false
          schema:
            type: integer
            maximum: 168
            minimum: 1
            description: Time period in hours (1-168)
            default: 24
            title: Hours
          description: Time period in hours (1-168)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentPerformance'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentPerformance:
      properties:
        agent_id:
          type: string
          title: Agent Id
        agent_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Agent Name
        tenant_id:
          type: string
          title: Tenant Id
        period_hours:
          type: integer
          title: Period Hours
        calls:
          additionalProperties: true
          type: object
          title: Calls
        tools:
          additionalProperties: true
          type: object
          title: Tools
      type: object
      required:
        - agent_id
        - tenant_id
        - period_hours
        - calls
        - tools
      title: AgentPerformance
      description: Agent performance metrics.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````